Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.sso.cas
Class CASAuthenticationHandler

    java.lang.Object
      org.jasig.cas.authentication.handler.support.AbstractUsernamePasswordAuthenticationHandler
          org.jboss.portal.identity.sso.cas.CASAuthenticationHandler

All Implemented Interfaces:
  org.jasig.cas.authentication.handler.AuthenticationHandler, org.springframework.beans.factory.InitializingBean

    public class CASAuthenticationHandler

extends org.jasig.cas.authentication.handler.support.AbstractUsernamePasswordAuthenticationHandler

Field Summary

Fields inherited from class org.jasig.cas.authentication.handler.support.AbstractUsernamePasswordAuthenticationHandler
`log`

Constructor Summary
`CASAuthenticationHandler()`

Method Summary
`protected boolean` | `authenticateUsernamePasswordInternal(org.jasig.cas.authentication.principal.UsernamePasswordCredentials credentials)`

Methods inherited from class org.jasig.cas.authentication.handler.support.AbstractUsernamePasswordAuthenticationHandler
`afterPropertiesSet, afterPropertiesSetInternal, authenticate, getPasswordEncoder, setClassToSupport, setPasswordEncoder, setSupportSubClasses, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CASAuthenticationHandler

    public CASAuthenticationHandler()

Method Detail

### authenticateUsernamePasswordInternal

    protected boolean authenticateUsernamePasswordInternal(org.jasig.cas.authentication.principal.UsernamePasswordCredentials credentials)
                                                    throws org.jasig.cas.authentication.handler.AuthenticationException

  Specified by:
    `authenticateUsernamePasswordInternal` in class `org.jasig.cas.authentication.handler.support.AbstractUsernamePasswordAuthenticationHandler`
  Throws:
    `org.jasig.cas.authentication.handler.AuthenticationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD